Summary:	httperf - a tool for measuring web server performance
Summary(pl.UTF-8):	httperf - narzędzie do mierzenia wydajności serwera HTTP
Name:		httperf
Version:	0.9.0
Release:	5
License:	GPL
Group:		Applications/Networking
Source0:	https://httperf.googlecode.com/files/%{name}-%{version}.tar.gz
# Source0-md5:	2968c36b9ecf3d98fc1f2c1c9c0d9341
Patch0:		%{name}-openssl-1.1.0.patch
URL:		http://www.hpl.hp.com/research/linux/httperf/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	openssl-devel
Requires:	openssl
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Httperf is a tool for measuring web server performance. It provides a
flexible facility for generating various HTTP workloads and for
measuring server performance. The focus of httperf is not on
implementing one particular benchmark but on providing a robust,
high-performance tool that facilitates the construction of both micro-
and macro-level benchmarks. The three distinguishing characteristics
of httperf are its robustness, which includes the ability to generate
and sustain server overload, support for the HTTP/1.1 and SSL
protocols, and its extensibility to new workload generators and
performance measurements.

%description -l pl.UTF-8
Httperf jest narzędziem mierzącym wydajność serwera HTTP. Daje
elastyczne możliwości generowania różnego rodzaju obciążenia HTTP i
mierzenia wydajności serwera. Httperf nie skupia się na implementacji
jednego konkretnego testu wydajności, ale na zapewnieniu potężnego,
wysoko wydajnego narzędzia ułatwiającego tworzenie testów wydajności w
skali mikro i makro. Trzy cechy wyróżniające httperf to moc, dająca
możliwość generowania i podtrzymywania obciążenia serwera, obsługa
protokołów HTTP/1.1 i SSL oraz rozszerzalność o nowe generatory i
mierniki wydajności.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.sub .
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README TODO NEWS ChangeLog
%attr(755,root,root) %{_bindir}/idleconn
%attr(755,root,root) %{_bindir}/httperf
%{_mandir}/man1/httperf.1*
%changelog
* Thu Jan 17 2019 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/httperf.git;a=log;h=master

* Mon Sep 24 2018 Adam Gołębiowski <adamg@pld-linux.org> 7966906
- release 5, openssl-1.1.0 fixes

* Mon Sep 24 2018 Adam Gołębiowski <adamg@pld-linux.org> 07c2f2b
- new

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 0806fbd
- release 4 (by relup.sh)

* Wed Oct 19 2011 Elan Ruusamäe <glen@pld-linux.org> c88747d
- google url

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> a4d517b
- release 3

* Mon Apr 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 71c0397
- release 2

* Fri Jan 09 2009 Paweł Gołaszewski <blues@pld-linux.org> e0f1526
- cosmetics

* Wed Dec 26 2007 zbyniu <zbyniu@pld-linux.org> 6114a3a
- up to 0.9.0

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> b833828
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9febd87
- converted to UTF-8

* Fri Dec 08 2006 Elan Ruusamäe <glen@pld-linux.org> cb09ede
- don't own system dirs; rel 2

* Sun Jan 22 2006 Jakub Bogusz <qboosh@pld-linux.org> cca38b3
- enhanced pl desc

* Thu Jan 19 2006 Sławomir Paszkiewicz <paszczus@pld-linux.org> fb84fca
- initial spec made by Kamil Jakubowski
- using config.sub

